//	Network.h
#ifndef _H_Network
#define _H_Network

#ifndef __GNUC__
	#include "Processes.h"
#endif

typedef struct {
	FSSpec				fsSpec;
	Str255				name;
	ProcessInfoRec		infoRec;
} Net_ProcRec;

void	Net_ClearProcRec(Net_ProcRec *piRecP);

OSErr	Net_GetProcess(
	OSType			typeToFind, 
	OSType			creatorToFind,
	Net_ProcRec		*procRecP);

OSErr	FindAProcess(
	OSType					typeToFind, 
	OSType					creatorToFind,
	ProcessSerialNumberPtr	processSN);

char		*Net_GetMachineName(char *nameZ, long bufSizeL);

#endif